Kepler - Bug #4503

Suggest Similar Components gives an error
10/27/2009 12:33 PM - Derik Barseghian
Priority: Normal Due date:

Assignee: Shawn Bowers % Done: 0%
Target version: 2.0.0 Spent time: 0.00 hour
Bugzilla-ld: 4503

Description

If 1 right click on an actor on canvas and select Suggest => Similar Components, | get an NPE. This happens in the kepler and wrp
suites.

java.lang.NullPointerException

at org.kepler.objectmanager.ActorMetadata.getActorAsNamedObj(ActorMetadata.java:693)

at org.kepler.gui.GraphicalActorMetadata.<init>(GraphicalActorMetadata.java:72)

at org.kepler.sms.gui.SuggestCompatibleOperation._getComponents(SuggestCompatibleOperation.java:333)

at org.kepler.sms.gui.SuggestCompatibleOperation._buildSimilarComponents(SuggestCompatibleOperation.java:301)
at org.kepler.sms.gui.SuggestCompatibleOperation._searchForComponents(SuggestCompatibleOperation.java:219)
at org.kepler.sms.gui.SuggestCompatibleOperation._suggestComponents(SuggestCompatibleOperation.java:174)

at org.kepler.sms.gui.SuggestCompatibleOperation.<init>(SuggestCompatibleOperation.java:103)

at org.kepler.sms.gui.SuggestSimilarComponentsAction.actionPerformed(SuggestSimilarComponentsAction.java:75)

History

#1 - 01/13/2010 03:58 PM - Chad Berkley

Maybe we should disable this feature for 2.0? Was itin 1.0?

#2 - 02/04/2010 02:25 PM - Derik Barseghian
fixed in r22883

this had changed to a ClassCastException when trying to do a "Suggest..." within the wrp suite which can have a library that includes items that can't
be cast to ActorCacheObject. Just added a try block around the attempted cast.

#3 - 03/27/2013 02:27 PM - Redmine Admin
Original Bugzilla ID was 4503
